package Pango::Install::Files;

$self = {
          'deps' => [
                      'Cairo',
                      'Glib'
                    ],
          'inc' => '-I/usr/pkg/include/pango-1.0 -I/usr/pkg/include/harfbuzz -I/usr/X11R7/include -I/usr/pkg/include -I/usr/pkg/include/glib-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include/fribidi -I/usr/pkg/include/cairo -pthread -I/usr/X11R7/include/pixman-1 -I/usr/pkg/include/libpng16 -I/usr/pkg/include/freetype2 -D_REENTRANT -I./build -I/usr/pkg/include/pango-1.0 -I/usr/X11R7/include -I/usr/pkg/include/cairo -I/usr/pkg/include/harfbuzz -I/usr/pkg/include -I/usr/pkg/include/glib-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include/freetype2 -I/usr/X11R7/include/pixman-1 -pthread -I/usr/pkg/include/fribidi -I/usr/pkg/include/libpng16 -D_REENTRANT',
          'libs' => '-L/usr/pkg/lib -lpango-1.0 -lgobject-2.0 -lharfbuzz -Wl,-R/usr/pkg/lib -lglib-2.0 -lintl -L/usr/pkg/lib -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lharfbuzz -Wl,-R/usr/pkg/lib -lglib-2.0 -lintl',
          'typemaps' => [
                          'pango-perl.typemap',
                          'pango.typemap'
                        ]
        };

@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/Pango/Install/Files.pm") {
			$CORE = $_ . "/Pango/Install/";
			last;
		}
	}

	sub deps { @{ $self->{deps} }; }

	sub Inline {
		my ($class, $lang) = @_;
		+{ map { (uc($_) => $self->{$_}) } qw(inc libs typemaps) };
	}

1;
